在Flash Builder 4.7的纯AS项目中使用Flex SDK

现象

将Flash Builder升级到4.7版本后,我发现以前建立的 ActionScript 项目会默认使用 AIR SDK,而不是使用 Flex SDK。这导致我以前的项目无法使用。因为某些类依赖Flex SDK中提供的 TLF 框架,或者只有Flex SDK才有的 SpriteAssets 等Class。

old_project

查看项目属性,会发现编译器默认为AIR SDK 3.4,且无法修改:

air_sdk_compiler

解决方案

用文本编辑器打开项目文件中的 .actionScriptProperties,搜索 useFlashSDK,将其值替换成 false

use_flash_sdk

刷新一次项目,再次查看项目属性,发现编译器已经改成了 Flex SDK

flex_sdk_compiler

留言

2012-12-20
次访问